# GUNDAM BREAKER 4 1.12.0
# BID: 0FF5CF27929E07F9

unsafeCheck: true

ALL_FPS:
  # r.DynamicRes.FrameTimeBudget
  -
    type: evaluate_write
    address: [MAIN, 0xA080D48, 0]
    value_type: float
    value: ["TruncDec(FRAMETIME_TARGET, 2)", "TruncDec(FRAMETIME_TARGET, 2)"]
  # t.MaxFPS
  -
    type: evaluate_write
    address: [MAIN, 0xA0AE7E8, 0]
    value_type: float
    value: [FPS_LOCK_TARGET, FPS_LOCK_TARGET]
  # r.VSync
  -
    type: write
    address: [MAIN, 0x98B2D28, 0]
    value_type: uint32
    value: [0, 0]
  -
    type: block
    what: timing